airavata-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Danushka Menikkumbura <danushka.menikkumb...@gmail.com>
Subject Different Versions of Third-Party Libraries
Date Thu, 04 Apr 2013 04:19:50 GMT
Hi Devs,

I just happened to notice that certain Airavata modules use different
versions of the same 3rd-party library. For an instance GFac core
uses jackson-mapper-asl 1.8.9 whereas REST client API uses
jackson-mapper-asl 1.9.2. I do not see any reason as to why they have to be
different. It is the same with jersey-core as well and there could be few
more.

I do see few version numbers defined in the root pom, but still as I can
see they are not referred to in modules in some cases.

I think we should fix this. I can do it over the weekend but doing it in
hackathon mode would be more efficient as I believe.

Thanks,
Danushka

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message